package kr.co.compcarecompany.Data.Product;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.ArrayList;

import kr.co.compcarecompany.Data.ArrayItem;
import kr.co.compcarecompany.Data.Company.CompanyData;
import kr.co.compcarecompany.Data.FileDatum;

public class MachineItem implements Serializable {
    @SerializedName("mc_idx")
    @Expose
    private String mcIdx;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;
    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;
    @SerializedName("mc_lot")
    @Expose
    private String mcLot;
    @SerializedName("qr_code")
    @Expose
    private Object qrCode;
    @SerializedName("qr_use_dt")
    @Expose
    private String qrUseDt;
    @SerializedName("pd_idx")
    @Expose
    private String pdIdx;
    @SerializedName("mc_airline")
    @Expose
    private String mcAirline;
    @SerializedName("mc_runningtime")
    @Expose
    private String mcRunningtime;
    @SerializedName("mc_runningtime_total")
    @Expose
    private String mcRunningtimeTotal;
    @SerializedName("mc_memo")
    @Expose
    private Object mcMemo;
    @SerializedName("ins_dt")
    @Expose
    private Object insDt;
    @SerializedName("mc_checkdt")
    @Expose
    private Object mcCheckdt;
    @SerializedName("mc_check_id")
    @Expose
    private Object mcCheckId;
    @SerializedName("mc_check_name")
    @Expose
    private Object mcCheckName;
    @SerializedName("mc_makedt")
    @Expose
    private String mcMakedt;
    @SerializedName("del_flag")
    @Expose
    private String delFlag;
    @SerializedName("order_num")
    @Expose
    private String orderNum;
    @SerializedName("mc_ttype")
    @Expose
    private String mcTtype;
    @SerializedName("mc_setdt")
    @Expose
    private Object mcSetdt;
    @SerializedName("mc_cycle")
    @Expose
    private String mcCycle;
    @SerializedName("mc_cycle_year")
    @Expose
    private String mcCycleYear;
    @SerializedName("sub_idx1")
    @Expose
    private String subIdx1;
    @SerializedName("sub_idx2")
    @Expose
    private Object subIdx2;
    @SerializedName("sub_idx3")
    @Expose
    private Object subIdx3;
    @SerializedName("sub_idx4")
    @Expose
    private Object subIdx4;
    @SerializedName("mc_exchangetime")
    @Expose
    private String mcExchangetime;
    @SerializedName("mc_exchangedt")
    @Expose
    private Object mcExchangedt;
    @SerializedName("mc_deldt")
    @Expose
    private Object mcDeldt;
    @SerializedName("mc_exchangecnt")
    @Expose
    private String mcExchangecnt;
    @SerializedName("product_data")
    @Expose
    private ProductData productData;
    @SerializedName("mc_name_str")
    @Expose
    private String mcNameStr;
    @SerializedName("mc_name_str2")
    @Expose
    private String mcNameStr2;
    @SerializedName("del_flag_str")
    @Expose
    private String delFlagStr;
    @SerializedName("mc_runningtime_day")
    @Expose
    private String mcRunningtimeDay;
    @SerializedName("mc_last_day")
    @Expose
    private int mcLastDay;
    @SerializedName("mc_last_hour")
    @Expose
    private int mcLastHour;
    @SerializedName("mc_exchangetime_str")
    @Expose
    private String mcExchangetimeStr;
    @SerializedName("sub_idx1_name")
    @Expose
    private String subIdx1Name;
    @SerializedName("sub_idx2_name")
    @Expose
    private String subIdx2Name;
    @SerializedName("sub_idx3_name")
    @Expose
    private String subIdx3Name;
    @SerializedName("sub_idx4_name")
    @Expose
    private String subIdx4Name;
    @SerializedName("pd_name")
    @Expose
    private String pdName;
    @SerializedName("mc_iot_mac")
    @Expose
    private String mcIotMac;

    @SerializedName("mc_current1_up")
    @Expose
    private String mcCurrent1Up;
    @SerializedName("mc_current2_up")
    @Expose
    private String mcCurrent2Up;
    @SerializedName("mc_current3_up")
    @Expose
    private String mcCurrent3Up;
    @SerializedName("mc_current1_down")
    @Expose
    private String mcCurrent1Down;
    @SerializedName("mc_current2_down")
    @Expose
    private String mcCurrent2Down;
    @SerializedName("mc_current3_down")
    @Expose
    private String mcCurrent3Down;

    @SerializedName("mc_pressure1_up")
    @Expose
    private String mcPressure1Up;
    @SerializedName("mc_pressure2_up")
    @Expose
    private String mcPressure2Up;
    @SerializedName("mc_pressure3_up")
    @Expose
    private String mcPressure3Up;
    @SerializedName("mc_pressure1_down")
    @Expose
    private String mcPressure1Down;
    @SerializedName("mc_pressure2_down")
    @Expose
    private String mcPressure2Down;
    @SerializedName("mc_pressure3_down")
    @Expose
    private String mcPressure3Down;

    @SerializedName("mc_temp_ntc_up")
    @Expose
    private String mcTempNtcUp;
    @SerializedName("mc_temp_ntc_2_up")
    @Expose
    private String mcTempNtc2Up;
    @SerializedName("mc_temp_pt_up")
    @Expose
    private String mcTempPtUp;
    @SerializedName("mc_temp_ntc_down")
    @Expose
    private String mcTempNtcDown;
    @SerializedName("mc_temp_ntc_2_down")
    @Expose
    private String mcTempNtc2Down;
    @SerializedName("mc_temp_pt_down")
    @Expose
    private String mcTempPtDown;

    @SerializedName("mc_remote_yn")
    @Expose
    private String mcRemoteYn;

    @SerializedName("current_delay")
    @Expose
    private String currentDelay;

    @SerializedName("mc_schedule_yn")
    @Expose
    private String mcScheduleYn;

    @SerializedName("mc_inverter_yn")
    @Expose
    private String mcInverterYn;

    @SerializedName("mc_press_x")
    @Expose
    private String mcPressX;

    @SerializedName("mc_press_y")
    @Expose
    private String mcPressY;

    @SerializedName("mc_press_time")
    @Expose
    private String mcPressTime;

    @SerializedName("machine_photo")
    @Expose
    private ArrayList<FileDatum> machinePhoto;

    @SerializedName("machine_photo_cnt")
    @Expose
    private String machinePhotoCnt;

    @SerializedName("mc_inverter_mode")
    @Expose
    private String mcInverterMode;

    @SerializedName("manage_list")
    @Expose
    private ArrayList<AlarmData> manageList;

    @SerializedName("monitoring_data")
    @Expose
    private MonitoringData monitoringData;

    @SerializedName("cp_name")
    @Expose
    private String cpName;

    @SerializedName("mc_power_consumption_max")
    @Expose
    private String mcPowerConsumptionMax;

    @SerializedName("mc_current1_max")
    @Expose
    private String mcCurrent1Max;

    @SerializedName("mc_current2_max")
    @Expose
    private String mcCurrent2Max;

    @SerializedName("mc_current3_max")
    @Expose
    private String mcCurrent3Max;

    @SerializedName("mc_temp_ntc_max")
    @Expose
    private String mcTempNtcMax;

    @SerializedName("mc_temp_ntc_2_max")
    @Expose
    private String mcTempNtc2Max;

    @SerializedName("mc_temp_pt_max")
    @Expose
    private String mcTempPtMax;

    @SerializedName("mc_pressure1_max")
    @Expose
    private String mcPressure1Max;

    @SerializedName("mc_pressure2_max")
    @Expose
    private String mcPressure2Max;

    @SerializedName("mc_pressure3_max")
    @Expose
    private String mcPressure3Max;

    @SerializedName("mc_std_current")
    @Expose
    private String mcStdCurrent;

    @SerializedName("mc_rpm_min")
    @Expose
    private String mcRpmMin;

    @SerializedName("mc_rpm_max")
    @Expose
    private String mcRpmMax;

    @SerializedName("mc_sol_time")
    @Expose
    private String mcSolTime;

    @SerializedName("mc_fan_motor_delay_time")
    @Expose
    private String mcFanMotorDelayTime;

    @SerializedName("mc_fan_motor_stop_temp")
    @Expose
    private String mcFanMotorStopTemp;

    @SerializedName("mc_fan_motor_start_temp")
    @Expose
    private String mcFanMotorStartTemp;

    @SerializedName("cp_data")
    @Expose
    private CompanyData cpData;

    @SerializedName("pt_name")
    @Expose
    private String ptName;

    @SerializedName("pd_spec")
    @Expose
    private String pdSpec;

    @SerializedName("pd_short_name")
    @Expose
    private String pdShortName;

    @SerializedName("power_consumption_data")
    @Expose
    private ArrayList<MonitoringData> powerConsumptionData;

    @SerializedName("mc_publishYN")
    @Expose
    private String mcPublishYN = "N";

    @SerializedName("mc_publish_period")
    @Expose
    private String mcPublishPeriod = "week";

    @SerializedName("mc_charge")
    @Expose
    private int mcCharge = 110;

    @SerializedName("mc_horsepower")
    @Expose
    private String mcHorsepower;

    @SerializedName("mc_internet")
    @Expose
    private String mcInternet;

    @SerializedName("mc_initialization_yn")
    @Expose
    private String mcInitializationYn;

    @SerializedName("mc_air_leak_yn")
    @Expose
    private String mcAirLeakYn;

    @SerializedName("mc_air_leak_std")
    @Expose
    private String mcAirLeakStd;

    @SerializedName("mc_air_leak_time")
    @Expose
    private String mcAirLeakTime;

    @SerializedName("mc_air_leak_range")
    @Expose
    private String mcAirLeakRange;

    @SerializedName("time")
    @Expose
    private String time;

    @SerializedName("mc_air_leak_value")
    @Expose
    private String mcAirLeakValue;

    @SerializedName("rp_yn")
    @Expose
    private String rpYn = "N";

    @SerializedName("rp_period")
    @Expose
    private String rpPeriod = "week";

    @SerializedName("rp_charge")
    @Expose
    private String rpCharge = "110";

    @SerializedName("week_cnt")
    @Expose
    private String weekCnt;

    @SerializedName("month_cnt")
    @Expose
    private String monthCnt;

    @SerializedName("mc_payment_method")
    @Expose
    private String mcPaymentMethod;

    @SerializedName("mc_yeon_yn")
    @Expose
    private String mcYeonYn;

    @SerializedName("mc_yeon_type")
    @Expose
    private String mcYeonType;

    @SerializedName("mc_yeon_sub_press")
    @Expose
    private String mcYeonSubPress;

    @SerializedName("mc_yeon_sub_time")
    @Expose
    private String mcYeonSubTime;

    @SerializedName("mc_yeon_cross_time")
    @Expose
    private String mcYeonCrossTime;

    @SerializedName("mc_yeon_group")
    @Expose
    private String mcYeonGroup;

    @SerializedName("interlock_list")
    @Expose
    private ArrayList<MachineItem> interlockList;

    @SerializedName("mc_cross_num")
    @Expose
    private String mcCrossNum;

    @SerializedName("mc_load_kill_sec")
    @Expose
    private String mcLoadKillSec;

    @SerializedName("mc_unload_kill_sec")
    @Expose
    private String mcUnloadKillSec;

    @SerializedName("mc_yeon_low_press")
    @Expose
    private String mcYeonLowPress;

    @SerializedName("mc_call_slave")
    @Expose
    private String mcCallSlave;

    @SerializedName("mc_cross_yn")
    @Expose
    private String mcCrossYn;


    public MonitoringData getMonitoringData() {
        return monitoringData;
    }

    private ArrayItem<MonitoringData> monitoring = null;

    public ArrayItem<MonitoringData> getMonitoring() {
        return monitoring;
    }

    public void setMonitoring(ArrayItem<MonitoringData> monitoring) {
        this.monitoring = monitoring;
    }

    public void setMonitoringData(MonitoringData monitoringData) {
        this.monitoringData = monitoringData;
    }

    boolean selected;

    boolean running;

    boolean show_position = false;

    int index = 0;

    boolean last_position = false;

    public String getMcIdx() {
        return mcIdx;
    }

    public void setMcIdx(String mcIdx) {
        this.mcIdx = mcIdx;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public void setPtIdx(String ptIdx) {
        this.ptIdx = ptIdx;
    }

    public String getCpIdx() {
        return cpIdx;
    }

    public void setCpIdx(String cpIdx) {
        this.cpIdx = cpIdx;
    }

    public String getMcLot() {
        return mcLot;
    }

    public void setMcLot(String mcLot) {
        this.mcLot = mcLot;
    }

    public Object getQrCode() {
        return qrCode;
    }

    public void setQrCode(Object qrCode) {
        this.qrCode = qrCode;
    }

    public String getPdIdx() {
        return pdIdx;
    }

    public void setPdIdx(String pdIdx) {
        this.pdIdx = pdIdx;
    }

    public String getMcAirline() {
        return mcAirline;
    }

    public void setMcAirline(String mcAirline) {
        this.mcAirline = mcAirline;
    }

    public String getMcRunningtime() {
        return mcRunningtime;
    }

    public void setMcRunningtime(String mcRunningtime) {
        this.mcRunningtime = mcRunningtime;
    }

    public String getMcRunningtimeTotal() {
        return mcRunningtimeTotal;
    }

    public void setMcRunningtimeTotal(String mcRunningtimeTotal) {
        this.mcRunningtimeTotal = mcRunningtimeTotal;
    }

    public Object getMcMemo() {
        return mcMemo;
    }

    public void setMcMemo(Object mcMemo) {
        this.mcMemo = mcMemo;
    }

    public Object getInsDt() {
        return insDt;
    }

    public void setInsDt(Object insDt) {
        this.insDt = insDt;
    }

    public Object getMcCheckdt() {
        return mcCheckdt;
    }

    public void setMcCheckdt(Object mcCheckdt) {
        this.mcCheckdt = mcCheckdt;
    }

    public Object getMcCheckId() {
        return mcCheckId;
    }

    public void setMcCheckId(Object mcCheckId) {
        this.mcCheckId = mcCheckId;
    }

    public Object getMcCheckName() {
        return mcCheckName;
    }

    public void setMcCheckName(Object mcCheckName) {
        this.mcCheckName = mcCheckName;
    }

    public String getMcMakedt() {
        return mcMakedt;
    }

    public void setMcMakedt(String mcMakedt) {
        this.mcMakedt = mcMakedt;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public String getMcTtype() {
        return mcTtype;
    }

    public void setMcTtype(String mcTtype) {
        this.mcTtype = mcTtype;
    }

    public Object getMcSetdt() {
        return mcSetdt;
    }

    public void setMcSetdt(Object mcSetdt) {
        this.mcSetdt = mcSetdt;
    }

    public String getMcCycle() {
        return mcCycle;
    }

    public void setMcCycle(String mcCycle) {
        this.mcCycle = mcCycle;
    }

    public String getMcCycleYear() {
        return mcCycleYear;
    }

    public void setMcCycleYear(String mcCycleYear) {
        this.mcCycleYear = mcCycleYear;
    }

    public String getSubIdx1() {
        return subIdx1;
    }

    public void setSubIdx1(String subIdx1) {
        this.subIdx1 = subIdx1;
    }

    public Object getSubIdx2() {
        return subIdx2;
    }

    public void setSubIdx2(Object subIdx2) {
        this.subIdx2 = subIdx2;
    }

    public Object getSubIdx3() {
        return subIdx3;
    }

    public void setSubIdx3(Object subIdx3) {
        this.subIdx3 = subIdx3;
    }

    public Object getSubIdx4() {
        return subIdx4;
    }

    public void setSubIdx4(Object subIdx4) {
        this.subIdx4 = subIdx4;
    }

    public String getMcExchangetime() {
        return mcExchangetime;
    }

    public void setMcExchangetime(String mcExchangetime) {
        this.mcExchangetime = mcExchangetime;
    }

    public Object getMcExchangedt() {
        return mcExchangedt;
    }

    public void setMcExchangedt(Object mcExchangedt) {
        this.mcExchangedt = mcExchangedt;
    }

    public Object getMcDeldt() {
        return mcDeldt;
    }

    public void setMcDeldt(Object mcDeldt) {
        this.mcDeldt = mcDeldt;
    }

    public String getMcExchangecnt() {
        return mcExchangecnt;
    }

    public void setMcExchangecnt(String mcExchangecnt) {
        this.mcExchangecnt = mcExchangecnt;
    }

    public ProductData getProductData() {
        return productData;
    }

    public void setProductData(ProductData productData) {
        this.productData = productData;
    }

    public String getMcNameStr() {
        return mcNameStr;
    }

    public void setMcNameStr(String mcNameStr) {
        this.mcNameStr = mcNameStr;
    }

    public String getMcNameStr2() {
        return mcNameStr2;
    }

    public void setMcNameStr2(String mcNameStr2) {
        this.mcNameStr2 = mcNameStr2;
    }

    public String getDelFlagStr() {
        return delFlagStr;
    }

    public void setDelFlagStr(String delFlagStr) {
        this.delFlagStr = delFlagStr;
    }

    public String getMcRunningtimeDay() {
        return mcRunningtimeDay;
    }

    public void setMcRunningtimeDay(String mcRunningtimeDay) {
        this.mcRunningtimeDay = mcRunningtimeDay;
    }

    public int getMcLastDay() {
        return mcLastDay;
    }

    public void setMcLastDay(int mcLastDay) {
        this.mcLastDay = mcLastDay;
    }

    public int getMcLastHour() {
        return mcLastHour;
    }

    public void setMcLastHour(int mcLastHour) {
        this.mcLastHour = mcLastHour;
    }

    public String getMcExchangetimeStr() {
        return mcExchangetimeStr;
    }

    public void setMcExchangetimeStr(String mcExchangetimeStr) {
        this.mcExchangetimeStr = mcExchangetimeStr;
    }

    public String getSubIdx1Name() {
        return subIdx1Name;
    }

    public void setSubIdx1Name(String subIdx1Name) {
        this.subIdx1Name = subIdx1Name;
    }

    public String getSubIdx2Name() {
        return subIdx2Name;
    }

    public void setSubIdx2Name(String subIdx2Name) {
        this.subIdx2Name = subIdx2Name;
    }

    public String getSubIdx3Name() {
        return subIdx3Name;
    }

    public void setSubIdx3Name(String subIdx3Name) {
        this.subIdx3Name = subIdx3Name;
    }

    public String getSubIdx4Name() {
        return subIdx4Name;
    }

    public void setSubIdx4Name(String subIdx4Name) {
        this.subIdx4Name = subIdx4Name;
    }

    public boolean isSelected() {
        return selected;
    }

    public String setSelected(boolean selected) {
        this.selected = selected;
        return null;

    }

    public String getPdName() {
        return pdName;
    }

    public boolean isRunning() {
        return running;
    }

    public void setRunning(boolean running) {
        this.running = running;
    }

    public String getMcIotMac() {
        return mcIotMac;
    }

    public void setMcIotMac(String mcIotMac) {
        this.mcIotMac = mcIotMac;
    }

    public String getMcCurrent1Up() {
        return mcCurrent1Up;
    }

    public String getMcCurrent2Up() {
        return mcCurrent2Up;
    }

    public String getMcCurrent3Up() {
        return mcCurrent3Up;
    }

    public String getMcCurrent1Down() {
        return mcCurrent1Down;
    }

    public String getMcCurrent2Down() {
        return mcCurrent2Down;
    }

    public String getMcCurrent3Down() {
        return mcCurrent3Down;
    }

    public String getMcPressure1Up() {
        return mcPressure1Up;
    }

    public String getMcPressure2Up() {
        return mcPressure2Up;
    }

    public String getMcPressure3Up() {
        return mcPressure3Up;
    }

    public String getMcPressure1Down() {
        return mcPressure1Down;
    }

    public String getMcPressure2Down() {
        return mcPressure2Down;
    }

    public String getMcPressure3Down() {
        return mcPressure3Down;
    }

    public String getMcTempNtcUp() {
        return mcTempNtcUp;
    }

    public String getMcTempPtUp() {
        return mcTempPtUp;
    }

    public String getMcTempNtcDown() {
        return mcTempNtcDown;
    }

    public String getMcTempPtDown() {
        return mcTempPtDown;
    }

    public boolean isShow_position() {
        return show_position;
    }

    public void setShow_position(boolean show_position) {
        this.show_position = show_position;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public boolean isLast_position() {
        return last_position;
    }

    public void setLast_position(boolean last_position) {
        this.last_position = last_position;
    }

    public String getMcRemoteYn() {
        return mcRemoteYn;
    }

    public void setMcRemoteYn(String mcRemoteYn) {
        this.mcRemoteYn = mcRemoteYn;
    }

    public ArrayList<FileDatum> getMachinePhoto() {
        return machinePhoto;
    }

    public String getCurrentDelay() {
        return currentDelay;
    }

    public String getQrUseDt() {
        return qrUseDt;
    }

    public String getMcScheduleYn() {
        return mcScheduleYn;
    }

    public String getMcInverterYn() {
        return mcInverterYn;
    }

    public String getMcPressX() {
        return mcPressX;
    }

    public String getMcPressY() {
        return mcPressY;
    }

    public String getMcPressTime() {
        return mcPressTime;
    }

    public String getMcInverterMode() {
        return mcInverterMode;
    }

    public String getMcTempNtc2Up() {
        return mcTempNtc2Up;
    }

    public String getMcTempNtc2Down() {
        return mcTempNtc2Down;
    }

    public String getMachinePhotoCnt() {
        return machinePhotoCnt;
    }

    public ArrayList<AlarmData> getManageList() {
        return manageList;
    }

    public String getCpName() {
        return cpName;
    }

    public String getMcCurrent1Max() {
        return mcCurrent1Max;
    }

    public String getMcCurrent2Max() {
        return mcCurrent2Max;
    }

    public String getMcCurrent3Max() {
        return mcCurrent3Max;
    }

    public String getMcTempNtcMax() {
        return mcTempNtcMax;
    }

    public String getMcTempNtc2Max() {
        return mcTempNtc2Max;
    }

    public String getMcTempPtMax() {
        return mcTempPtMax;
    }

    public String getMcPressure1Max() {
        return mcPressure1Max;
    }

    public String getMcPressure2Max() {
        return mcPressure2Max;
    }

    public String getMcPressure3Max() {
        return mcPressure3Max;
    }

    public String getMcStdCurrent() {
        return mcStdCurrent;
    }

    public String getMcRpmMin() {
        return mcRpmMin;
    }

    public String getMcRpmMax() {
        return mcRpmMax;
    }

    public String getMcSolTime() {
        return mcSolTime;
    }

    public String getMcFanMotorDelayTime() {
        return mcFanMotorDelayTime;
    }

    public String getMcFanMotorStopTemp() {
        return mcFanMotorStopTemp;
    }

    public String getMcFanMotorStartTemp() {
        return mcFanMotorStartTemp;
    }

    public CompanyData getCpData() {
        return cpData;
    }

    public String getPtName() {
        return ptName;
    }

    public String getPdSpec() {
        return pdSpec;
    }

    public ArrayList<MonitoringData> getPowerConsumptionData() {
        return powerConsumptionData;
    }

    public String getPdShortName() {
        return pdShortName;
    }

    public String getMcPublishYN() {
        return mcPublishYN;
    }

    public String getMcPublishPeriod() {
        return mcPublishPeriod;
    }

    public void setMcPublishYN(String mcPublishYN) {
        this.mcPublishYN = mcPublishYN;
    }

    public void setMcPublishPeriod(String mcPublishPeriod) {
        this.mcPublishPeriod = mcPublishPeriod;
    }

    public int getMcCharge() {
        return mcCharge;
    }

    public void setMcCharge(int mcCharge) {
        this.mcCharge = mcCharge;
    }

    public String getMcHorsepower() {
        return mcHorsepower;
    }

    public String getMcInternet() {
        return mcInternet;
    }

    public String getMcInitializationYn() {
        return mcInitializationYn;
    }

    public void setMcInitializationYn(String mcInitializationYn) {
        this.mcInitializationYn = mcInitializationYn;
    }

    public void setMcCurrent1Up(String mcCurrent1Up) {
        this.mcCurrent1Up = mcCurrent1Up;
    }

    public void setMcCurrent2Up(String mcCurrent2Up) {
        this.mcCurrent2Up = mcCurrent2Up;
    }

    public void setMcCurrent3Up(String mcCurrent3Up) {
        this.mcCurrent3Up = mcCurrent3Up;
    }

    public void setMcCurrent1Down(String mcCurrent1Down) {
        this.mcCurrent1Down = mcCurrent1Down;
    }

    public void setMcCurrent2Down(String mcCurrent2Down) {
        this.mcCurrent2Down = mcCurrent2Down;
    }

    public void setMcCurrent3Down(String mcCurrent3Down) {
        this.mcCurrent3Down = mcCurrent3Down;
    }

    public void setMcPressure1Up(String mcPressure1Up) {
        this.mcPressure1Up = mcPressure1Up;
    }

    public void setMcPressure2Up(String mcPressure2Up) {
        this.mcPressure2Up = mcPressure2Up;
    }

    public void setMcPressure3Up(String mcPressure3Up) {
        this.mcPressure3Up = mcPressure3Up;
    }

    public void setMcPressure1Down(String mcPressure1Down) {
        this.mcPressure1Down = mcPressure1Down;
    }

    public void setMcPressure2Down(String mcPressure2Down) {
        this.mcPressure2Down = mcPressure2Down;
    }

    public void setMcPressure3Down(String mcPressure3Down) {
        this.mcPressure3Down = mcPressure3Down;
    }

    public void setMcTempNtcUp(String mcTempNtcUp) {
        this.mcTempNtcUp = mcTempNtcUp;
    }

    public void setMcTempNtc2Up(String mcTempNtc2Up) {
        this.mcTempNtc2Up = mcTempNtc2Up;
    }

    public void setMcTempPtUp(String mcTempPtUp) {
        this.mcTempPtUp = mcTempPtUp;
    }

    public void setMcTempNtcDown(String mcTempNtcDown) {
        this.mcTempNtcDown = mcTempNtcDown;
    }

    public void setMcTempNtc2Down(String mcTempNtc2Down) {
        this.mcTempNtc2Down = mcTempNtc2Down;
    }

    public void setMcTempPtDown(String mcTempPtDown) {
        this.mcTempPtDown = mcTempPtDown;
    }

    public void setMcCurrent1Max(String mcCurrent1Max) {
        this.mcCurrent1Max = mcCurrent1Max;
    }

    public void setMcCurrent2Max(String mcCurrent2Max) {
        this.mcCurrent2Max = mcCurrent2Max;
    }

    public void setMcCurrent3Max(String mcCurrent3Max) {
        this.mcCurrent3Max = mcCurrent3Max;
    }

    public void setMcTempNtcMax(String mcTempNtcMax) {
        this.mcTempNtcMax = mcTempNtcMax;
    }

    public void setMcTempNtc2Max(String mcTempNtc2Max) {
        this.mcTempNtc2Max = mcTempNtc2Max;
    }

    public void setMcTempPtMax(String mcTempPtMax) {
        this.mcTempPtMax = mcTempPtMax;
    }

    public void setMcPressure1Max(String mcPressure1Max) {
        this.mcPressure1Max = mcPressure1Max;
    }

    public void setMcPressure2Max(String mcPressure2Max) {
        this.mcPressure2Max = mcPressure2Max;
    }

    public void setMcPressure3Max(String mcPressure3Max) {
        this.mcPressure3Max = mcPressure3Max;
    }

    public String getMcAirLeakYn() {
        return mcAirLeakYn;
    }

    public String getMcAirLeakStd() {
        return mcAirLeakStd;
    }

    public String getMcAirLeakTime() {
        return mcAirLeakTime;
    }

    public String getMcAirLeakRange() {
        return mcAirLeakRange;
    }

    public String getTime() {
        return time;
    }

    public String getMcAirLeakValue() {
        return mcAirLeakValue;
    }

    public String getRpYn() {
        return rpYn;
    }

    public void setRpYn(String rpYn) {
        this.rpYn = rpYn;
    }

    public String getRpPeriod() {
        return rpPeriod;
    }

    public void setRpPeriod(String rpPeriod) {
        this.rpPeriod = rpPeriod;
    }

    public String getRpCharge() {
        return rpCharge;
    }

    public void setRpCharge(String rpCharge) {
        this.rpCharge = rpCharge;
    }

    public String getWeekCnt() {
        return weekCnt;
    }

    public String getMonthCnt() {
        return monthCnt;
    }

    public String getMcPaymentMethod() {
        return mcPaymentMethod;
    }

    public String getMcYeonYn() {
        return mcYeonYn;
    }

    public String getMcYeonType() { return mcYeonType; }

    public String getMcYeonSubPress() {
        return mcYeonSubPress;
    }

    public String getMcYeonSubTime() {
        return mcYeonSubTime;
    }

    public String getMcYeonCrossTime() {
        return mcYeonCrossTime;
    }

    public ArrayList<MachineItem> getInterlockList() {
        return interlockList;
    }

    public String getMcYeonGroup() {
        return mcYeonGroup;
    }

    public String getMcPowerConsumptionMax() {
        return mcPowerConsumptionMax;
    }

    public String getMcCrossNum() {
        return mcCrossNum;
    }

    public String getMcLoadKillSec() {
        return mcLoadKillSec;
    }

    public String getMcUnloadKillSec() {
        return mcUnloadKillSec;
    }

    public String getMcYeonLowPress() {  return mcYeonLowPress; }

    public String getMcCallSlave() {  return mcCallSlave; }

    public String getMcCrossYn() {  return mcCrossYn; }


}